### Hierarchy

- StackScreenProps

## Index

### Properties

- Screen
- children
- navigation
- navigator
- options
- route

## Properties

### Optional Screen

Screen: React.ComponentType<any>

- Defined in src/navigators/StackNavigator/StackScreen.tsx:14

### children

children: React.ReactNode

- Defined in src/navigators/StackNavigator/StackScreen.tsx:39

This is normally a nested navigator

### navigation

navigation: NavigationActionsObject

- Defined in src/navigators/StackNavigator/StackScreen.tsx:24

Navigation actions

### navigator

navigator: NavigatorPropsWithResolvedRoutes

- Defined in src/navigators/StackNavigator/StackScreen.tsx:29

Parent navigator props

### Optional options

options: MaybeThunk<NavigationOptions>

- Defined in src/navigators/StackNavigator/StackScreen.tsx:19

Navigation Options

### route

route: RouteConfig

- Defined in src/navigators/StackNavigator/StackScreen.tsx:34

Parent navigator props

Generated using TypeDoc